## pyiosxr 0.14

=== debian/changelog ===
pyiosxr (0.14-1) unstable; urgency=low

  * Initial release (closes: #825666)

 -- Vincent Bernat <bernat@debian.org>  Sat, 28 May 2016 15:18:50 +0000

## pyiosxr 0.41

=== requirements.txt ===
netmiko >= 0.5.2
lxml>=3.2.4

=== debian/changelog ===
pyiosxr (0.41-1) unstable; urgency=medium

  * New upstream version.

 -- Vincent Bernat <bernat@debian.org>  Sun, 25 Dec 2016 11:57:25 +0100

pyiosxr (0.21-1) unstable; urgency=medium

  * New upstream version.

 -- Vincent Bernat <bernat@debian.org>  Tue, 01 Nov 2016 19:46:45 +0100

=== debian/control ===
Source: pyiosxr
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python-all,
               python-pexpect,
               python-setuptools,
               python-pip,
               python-mock
Standards-Version: 3.9.8
Homepage: https://github.com/fooelisa/pyiosxr/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyiosxr.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyiosxr.git

Package: python-pyiosxr
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
XB-Python-Egg-Name: pyIOSXR
Description: Python API to interact with network devices running Cisco IOS-XR
 This package provides a Python API to connect to network devices
 running Cisco IOS-XR. It can retrieve several information like
 interfaces. It can also modify the current configuration and execute
 arbitrary commands.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pyiosxr
%:
	dh $@ --with python2 --buildsystem=pybuild

## pyiosxr 0.52

=== requirements.txt ===
netmiko>=1.4.1
lxml>=3.2.4

=== debian/changelog ===
pyiosxr (0.52-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address
  * remove debian/compat

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Jun 2022 23:33:14 -0400

pyiosxr (0.52-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/675bba17d3af7de14d0db52c01a83b7cc163e59e.patch
    - fix compatibility with pip >= 10; Closes: #915749
  * Drop python2 support; Closes: #937460

 -- Sandro Tosi <morph@debian.org>  Sun, 13 Oct 2019 00:56:59 -0400

pyiosxr (0.52-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: update.
  * d/control: bump Standards-Version.
  * d/control: add Python 3 package.

 -- Vincent Bernat <bernat@debian.org>  Sun, 12 Nov 2017 20:18:39 +0100

=== debian/control ===
Source: pyiosxr
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 9), dh-python,
               python3-all,
               python3-pexpect,
               python3-setuptools,
               python3-pip,
               python3-mock,
               python3-lxml,
               python3-netmiko,
Standards-Version: 4.1.1
Homepage: https://github.com/fooelisa/pyiosxr/
Vcs-Git: https://salsa.debian.org/python-team/packages/pyiosxr.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyiosxr

Package: python3-pyiosxr
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
XB-Python-Egg-Name: pyIOSXR
Description: Python API for Cisco IOX-XR network devices (Python 3)
 This package provides a Python API to connect to network devices
 running Cisco IOS-XR. It can retrieve several information like
 interfaces. It can also modify the current configuration and execute
 arbitrary commands.
 .
 This package contains the Python 3 version.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pyiosxr
%:
	dh $@ --with python3 --buildsystem=pybuild
